﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;
namespace Hotline.DataSharing.ConvergenceMedia
{
    /// <summary>
    ///融媒体
    /// </summary>
    [Description("融媒体-接收")]
    public class DsMediaDataReceive : CreationModificationEntity
    {
        /// <summary>
        /// 业务系统工单id
        /// </summary>
        [SugarColumn(ColumnDescription = "业务系统工单id", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string? OrderId { get; set; }

        /// <summary>
        /// 受理类型编码
        /// </summary>
        [SugarColumn(ColumnDescription = "受理类型编码")]
        public int PurTypeName { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(ColumnDescription = "标题", ColumnDataType = "varchar(200)")]
        public string Title { get; set; }

        /// <summary>
        /// 来电人名称
        /// </summary>
        [SugarColumn(ColumnDescription = "来电人名称", ColumnDataType = "varchar(20)")]
        public string LinkName { get; set; }

        /// <summary>
        /// 性别 0：未知，1：男，2：女
        /// </summary>
        [SugarColumn(ColumnDescription = "性别 0：未知，1：男，2：女", IsNullable = true)]
        public string? Gender { get; set; } = "0";

        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(ColumnDescription = "联系电话", ColumnDataType = "varchar(20)")]
        public string Mobile { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [SugarColumn(ColumnDescription = "邮箱", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string? Mail { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [SugarColumn(ColumnDescription = "地址", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string? Address { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [SugarColumn(ColumnDescription = "内容", ColumnDataType = "varchar(7000)")]
        public string Content { get; set; }

        /// <summary>
        /// 是否保密： 0、不保密 ；1、保密
        /// </summary>
        [SugarColumn(ColumnDescription = "是否保密", ColumnDataType = "varchar(50)")]
        public int Secrecy { get; set; }

        /// <summary>
        /// 区域类型编码
        /// </summary>
        [SugarColumn(ColumnDescription = "区域类型编码", ColumnDataType = "varchar(50)")]
        public int AreaID { get; set; }
    }
}
