﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Knowledge
{
    /// <summary>
    /// 知识库下架    
    /// </summary>
    [Description("知识库下架")]
    public class DsGetKnowledgeInfoAbandon : CreationModificationEntity
    {
        /// <summary>
        /// 知识类别code
        /// </summary>
        [SugarColumn(ColumnDescription = "知识类别code", ColumnDataType = "varchar(50)")]
        public string CategoryCode { get; set; }

        /// <summary>
        /// 知识类别名称
        /// </summary>
        [SugarColumn(ColumnDescription = "知识类别名称", ColumnDataType = "varchar(50)")]
        public string CategoryName { get; set; }

        /// <summary>
        /// 上报知识唯一标识
        /// </summary>
        [SugarColumn(ColumnDescription = "上报知识唯一标识", ColumnDataType = "varchar(50)")]
        public string UID { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
