﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单预警
    /// </summary>
    [Description("服务工单预警")]
    public class DsSendWarnInfo : CreationModificationEntity
    {
        /// <summary>
        /// 预警规则
        /// </summary>
        [SugarColumn(ColumnDescription = "预警规则", ColumnDataType = "varchar(50)")]
        public string WarnRulename { get; set; }

        /// <summary>
        /// 规则明细
        /// </summary>
        [SugarColumn(ColumnDescription = "规则明细", ColumnDataType = "varchar(200)")]
        public string WarnDescribe { get; set; }

        /// <summary>
        /// 预警应处理时间
        /// </summary>
        [SugarColumn(ColumnDescription = "预警应处理时间")]
        public DateTime? WarnTimebf { get; set; }

        /// <summary>
        /// 预警等级
        /// </summary>
        [SugarColumn(ColumnDescription = "预警等级", ColumnDataType = "varchar(50)")]
        public string WarnDegree { get; set; }

        /// <summary>
        /// 预警类型
        /// </summary>
        [SugarColumn(ColumnDescription = "预警类型", ColumnDataType = "varchar(50)")]
        public string WarnType { get; set; }

        /// <summary>
        /// 预警时间
        /// </summary>
        [SugarColumn(ColumnDescription = "预警时间")]
        public DateTime? WarnDate { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
